package com.ruoyi.oa.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * cmc承接分包合同对象 cmc_contract_sub_contract
 * 
 * @author cmc
 * @date 2024-06-19
 */
public class CmcContractSubContract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 承接合同id */
    private String contractId;

    /** 分包合同id */
    private String subContractId;

    public void setContractId(String contractId) 
    {
        this.contractId = contractId;
    }

    public String getContractId() 
    {
        return contractId;
    }
    public void setSubContractId(String subContractId) 
    {
        this.subContractId = subContractId;
    }

    public String getSubContractId() 
    {
        return subContractId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("contractId", getContractId())
            .append("subContractId", getSubContractId())
            .toString();
    }
}
